Download it now!
Bug 48114 - EDITING: Spell & Grammar dialog in a loop after Resume
Summary: EDITING: Spell & Grammar dialog in a loop after Resume
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 87749 (view as bug list)
Depends on:
Blocks: Layout-Loops, Writer-Loops
  Show dependency treegraph
 
Reported: 2012-03-31 00:38 UTC by Wyndham Clampett
Modified: 2019-05-14 03:00 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot illustrating the issue (100.82 KB, image/jpeg)
2012-03-31 00:38 UTC, Wyndham Clampett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wyndham Clampett 2012-03-31 00:38:13 UTC
Created attachment 59302 [details]
Screenshot illustrating the issue

After reporting another bug, I returned to the document I was editing and clicked on resume in the Spell & Grammar dialog.

I then clicked on a replacement word in the list, and was the dialog returned to the Resume state as shown in the screenshot.

The loop continued until I closed the dialog and re-started.

Please note that this is a regular occurrence (the looping...)
Comment 1 A (Andy) 2012-12-27 08:13:35 UTC
not reproducible with LO 3.6.4.3. (Win7 Home, 64bit)

Please inform about the necessary steps if this bug still exists.
Comment 2 Urmas 2012-12-27 09:11:07 UTC
I happened with master too, but I haven't got how to reproduce it.
Comment 3 Urmas 2013-04-06 05:29:28 UTC
How to reproduce this:
1. During spellcheck, make a correction below in the document;
2. Click 'Resume' button;
3. If you click anywhere in text window or in suggestion list, the dialog will be disabled again and Resume button will be active;
Comment 4 A (Andy) 2013-04-27 20:37:18 UTC
Thanks for the hint.

now it is for me reproducible with LO 4.0.2.2 (Win7 Home, 64bit)

Steps done:
1. Write any US English text with a mistake (typing error)
2. Start the US English spell check (TOOLS -> SPELLING AND GRAMMAR)
3. When the spell check finds this buggy word, then select with the mouse pointer this word in the document and correct it manually
4. Afterwards, click into the SPELLING AND GRAMMAR dialog and everything besides RESUME, HELP, OPTIONS and CLOSED is disabled and now press RESUME
-> Now the spell check still shows the typing error which was already corrected manually (-> buggy behavior)
5a. Now you have to press IGNORE ONCE twice and the issue finished


Further Other Issue: Instead of 5a. do the following:

5b. Click again anywhere in the text and then go back to the dialog, then the RESUME option is shown again
6b. Press RESUME
7b. Now click again anywhere in the text
-> Result: The RESUME option is shown again (all the time for the manually corrected word) and this is an endless loop if go on with the steps 5b - 7b
Comment 5 Urmas 2014-12-26 16:36:00 UTC
*** Bug 87749 has been marked as a duplicate of this bug. ***
Comment 6 QA Administrators 2016-01-17 20:04:09 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.4 or later)  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT:

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-01-17
Comment 7 QA Administrators 2019-05-14 03:00:02 UTC
Dear Wyndham Clampett,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug